CobolLocalTransaction (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CobolLocalTransaction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CobolLocalTransaction

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolLocalTransaction

All Implemented Interfaces:
  LocalTransaction

public class CobolLocalTransaction
extends Object
implements LocalTransaction

This implementation class defines a local transaction demarcation at the application level.

Constructor Summary
`CobolLocalTransaction()`
`CobolLocalTransaction(CobolManagedConnection mc)` Create a new CobolLocalTransaction instance.

Method Summary
`void` | `begin()` begin a local transaction
`void` | `commit()` commit a user defined local transaction
`void` | `rollback()` Rolling back a user defined local transaction
`void` | `setManagedConnection(CobolManagedConnection mc)`
`void` | `setReset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolLocalTransaction

    public CobolLocalTransaction(CobolManagedConnection mc)

  Create a new CobolLocalTransaction instance.

Parameters:
  `mc` - The CobolManagedCoonection instance.

### CobolLocalTransaction

    public CobolLocalTransaction()

Method Detail

### setManagedConnection

    public void setManagedConnection(CobolManagedConnection mc)

### begin

    public void begin()
               throws ResourceException

  begin a local transaction

  Specified by:
    `begin` in interface `LocalTransaction`
  Throws:
    `ResourceException`

### commit

    public void commit()
                throws ResourceException

  commit a user defined local transaction

  Specified by:
    `commit` in interface `LocalTransaction`
  Throws:
    `ResourceException`

### rollback

    public void rollback()
                  throws ResourceException

  Rolling back a user defined local transaction

  Specified by:
    `rollback` in interface `LocalTransaction`
  Throws:
    `ResourceException`

### setReset

    public void setReset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.